Subject: bug#22467: 24.5; Doc "Delete Selection Mode"

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Jan 2016 20:29:11 +0200

> From: "B.V. Raghav" <[email-masked]>
> Date: Tue, 26 Jan 2016 16:57:42 +0530
> 
> This is a documentation enhancement request:
> 
> Where: (emacs)Top > Mark > Using Region
>    `C-h i d m Emacs RET m Using Region RET`
> 
> What:
> Change the paragraph from:
> 
>    By default, text insertion occurs normally even if the mark is
>    active―for example, typing ‘a’ inserts the character ‘a’, then
>    deactivates the mark.  If you enable Delete Selection mode, a minor
>    mode, then inserting text while the mark is active causes the text in
>    the region to be deleted first.  To toggle Delete Selection mode on
>    or off, type ‘M-x delete-selection-mode’.
> 
> Change to:
> 
>    By default, text insertion occurs normally even if the mark is
>    active―for example, typing ‘a’ inserts the character ‘a’, then
>    deactivates the mark.
> 
>    On the other hand, if you enable Delete Selection mode, a minor
>    mode, then inserting text while the mark is active causes the text in
>    the region to be deleted first.  To toggle Delete Selection mode on
>    or off, type ‘M-x delete-selection-mode’.
> 
> Rationale:
> 
>     I essentially only introduced a paragraph change and an
>     interjection. However, I believe that is necessary to make the
>     distinction between the words `deactivate' and `delete' which are
>     confused to be similar in the flow of reading.
> 
>     To illustrate, read the following successively:
>     `inserts the character ‘a’, then deactivates the mark'
>     `inserting [...] causes the text [...] to be deleted first'
> 
>     Though different words, `deactivate' and `delete', they get minced
>     in the quick read, and are at least mistaken to be of similar
>     behaviour, which is potentially misleading. And the fact is
>     `deactivate'-ing the mark is normal behaviour of emacs, and
>     `delete'-ing is a special behaviour for intended folks.
> 
> Inspiration:
> 
>     http://article.gmane.org/gmane.emacs.help/108581
>     http://article.gmane.org/gmane.emacs.help/108583
>     http://article.gmane.org/gmane.emacs.help/108591

I made a slight change in the wording, to make the meaning more
clear.  I don't really understand how "delete text" and "deactivate
mark" can be confused with one another, though.